#ifndef COMMON_HPP__
#define COMMON_HPP__

enum STA_TYPE
{
	STATUS_HELP_=0,
	STATUS_LOW_POWER_,
};
enum STATUS_CARD
{
	STATUS_NORMAL=0,
	STATUS_OVER_SPEED=8,
	STATUS_AREA_OVER_TIME=16,
	STATUS_HELP=128,
	STATUS_CALL=512,
	STATUS_LOST=1024
};
/**
 * @brief 0初始状态 1 没在考勤 2 考勤
 */
enum ATTENDANCE_STATUS
{
	///初始状态
	AS_INIT=0,
	///没在考勤
	AS_NOT_ATTENDANCE=1,
	///考勤
	AS_ATTENDANCE=2,
};

/**
 * @brief 卡类型 人卡  车卡
 */
enum CARD_TYPE
{
	///卡类型 人卡
	CT_PERSON=1,
	///卡类型 车卡
	CT_VEHICLE=2,
};

enum AREA_TYPE
{
	AREA_TYPE_FORBIDDEN = 3,	// 限制区域
	AREA_TYPE_NO_COVER = 1000,	// 非覆盖区域，车辆信号消失后，定位到附近非覆盖区域内
	AREA_TYPE_SPECIAL = 1001	// 特殊区域，只给你前端用来标识是否显示图标,胶轮车硐室
};

#endif
